## pymeeus 0.4.3+dfsg1

=== requirements.txt ===
atomicwrites>=1.2.1
attrs>=18.2.0
configparser>=3.5.0
coverage>=4.5.2
enum34>=1.1.6
flake8>=3.6.0
funcsigs>=1.0.2
mccabe>=0.6.1
more-itertools>=4.3.0
pathlib2>=2.3.2
pluggy>=0.8.0
py>=1.7.0
pycodestyle>=2.4.0
pyflakes>=2.0.0
pytest>=4.0.1
pytest-cov>=2.6.0
scandir>=1.9.0
six>=1.11.0

## pymeeus 0.3.6

=== debian/changelog ===
pymeeus (0.3.6-3) unstable; urgency=medium

  * source-only upload to enter testing

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 01 Dec 2019 16:03:15 -0500

pymeeus (0.3.6-2) unstable; urgency=medium

  * fix copyright authors

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 16 Nov 2019 18:12:42 -0500

pymeeus (0.3.6-1) unstable; urgency=low

  * initial release (Closes: #943686)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 28 Oct 2019 02:55:18 +0000

=== debian/control ===
Source: pymeeus
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 4.4.1
Homepage: https://github.com/architest/pymeeus
Vcs-Browser: https://salsa.debian.org/python-team/modules/pymeeus
Vcs-Git: https://salsa.debian.org/python-team/modules/pymeeus.git

Package: python3-pymeeus
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python implementation of Jean Meeus astronomical routines
 PyMeeus is a Python implementation of the astronomical algorithms
 described in the classical book "Astronomical Algorithms, 2nd Edition,
 Willmann-Bell Inc. (1998)" by Jean Meeus.
 .
 There are great astronomical libraries out there. For instance, if
 you're looking for high precision and speed you should take a look at
 libnova. For a set of python modules aimed at professional
 astronomers, you should look at Astropy. On the other hand, the
 advantages of PyMeeus are its simplicity, ease of use, ease of
 reading, ease of installation (it has the minimum amount of
 dependencies) and abundant documentation.

=== debian/watch ===
# try also https://pypi.debian.net/PyMeeus/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/PyMeeus/PyMeeus-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pymeeus 0.3.7

=== debian/changelog ===
pymeeus (0.3.7-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 10 May 2020 23:41:05 -0400

## pymeeus 0.4.3+dfsg1

=== debian/changelog ===
pymeeus (0.4.3+dfsg1-2) unstable; urgency=medium

  * missed the freeze deadline: add autopkgtest to cross the freeze

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 15 Mar 2021 11:31:33 -0400

pymeeus (0.4.3+dfsg1-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * Team upload.
  * new upstream release
  * strip out doc/build/html files since they contain fonts, javascript,
    and other stuff that should really be built by the package instead

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Sep 2020 08:43:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: pymeeus
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/architest/pymeeus
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pymeeus
-Vcs-Git: https://salsa.debian.org/python-team/modules/pymeeus.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pymeeus
+Vcs-Git: https://salsa.debian.org/python-team/packages/pymeeus.git
 
 Package: python3-pymeeus
 Architecture: all

=== debian/watch ===
# try also https://pypi.debian.net/PyMeeus/watch
version=3
opts="uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
https://pypi.debian.net/PyMeeus/PyMeeus-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pymeeus 0.5.11+dfsg1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = PyMeeus
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

clean:
	rm -rf build

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pymeeus (0.5.11+dfsg1-1) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Håvard Flaget Aasen ]
  * New upstream version 0.5.11+dfsg1
  * autopkgtest: Add python3-all as dependency. Closes: #1001370
  * autopkgtest: Mark d/tests/python3-unittest as executable.
  * d/watch: Bump to version 4.
  * Capitalize word in long description.
  * Add python3-pytest and python3-pytest-cov as dependencies during build and
    when running autopkgtest.
  * Remove fields Recommends and Suggests from binary package, not used.
  * Document Rules-Requires-Root.
  * Update Standards-Version to 4.6.0.
  * d/copyright:
    - Update years.
    - Point to correct license file.
  * Enable salsa CI.

  [ Jeroen Ploemen ]
  * Copyright: add missing entry for pymeeus/JupiterMoons.py,
    tests/test_jupiterMoons.py.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 12 Dec 2021 07:59:22 +0000

=== debian/control ===
Source: pymeeus
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest,
               python3-pytest-cov,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/architest/pymeeus
Vcs-Browser: https://salsa.debian.org/python-team/packages/pymeeus
Vcs-Git: https://salsa.debian.org/python-team/packages/pymeeus.git

Package: python3-pymeeus
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Python implementation of Jean Meeus astronomical routines
 PyMeeus is a Python implementation of the astronomical algorithms
 described in the classical book "Astronomical Algorithms, 2nd Edition,
 Willmann-Bell Inc. (1998)" by Jean Meeus.
 .
 There are great astronomical libraries out there. For instance, if
 you're looking for high precision and speed you should take a look at
 libnova. For a set of Python modules aimed at professional
 astronomers, you should look at Astropy. On the other hand, the
 advantages of PyMeeus are its simplicity, ease of use, ease of
 reading, ease of installation (it has the minimum amount of
 dependencies) and abundant documentation.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pymeeus
%:
	dh $@ --with python3 --buildsystem=pybuild

## pymeeus 0.5.12%2Bdfsg1

=== debian/changelog ===
pymeeus (0.5.12+dfsg1-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * New upstream version 0.5.12+dfsg1
  * use new dh-sequence-python3

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Antoine Beaupré ]
  * Fix pytest 7.2+ support and FTBFS in test suite (Closes: #1067290)

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 06 Apr 2024 22:26:57 -0400

=== debian/watch ===
# try also https://pypi.debian.net/PyMeeus/watch
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
https://pypi.debian.net/PyMeeus/PyMeeus-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pymeeus 0.5.12+dfsg1

=== requirements.txt ===
flake8>=3.1.0
mccabe>=0.5.1
pycodestyle>=2.1.0
pyflakes>=2.0.0
pytest>=3.0.1
pytest-cov>=2.0.0

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-pytest,
                python3-pytest-cov,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/architest/pymeeus
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pymeeus

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pymeeus
%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: python3-unittest
Restrictions: allow-stderr
Depends: python3-all,
         python3-pymeeus,
         python3-pytest,
         python3-pytest-cov,
